# -*- coding: utf-8 -*-

SAMPLE_POST = dict(
    title="Welcome to PostFlow",
    slug="welcome-to-postflow",
    status='published',
    created_by=1,
    updated_by=1,
    published_by=1,
    tags=[{'name':'Hello World'}],
    markdown=\
        """
You're live! Nice. We've put together a little post to introduce you to the PostFlow editor and get you started. You can manage your content by signing in to the admin area at `<your blog URL>/admin/`. When you arrive, you can select this post from a list on the left and see a preview of it on the right. Click the little pencil icon at the top of the preview to edit this post and read the next section!

## Getting Started

PostFlow uses something called Markdown for writing. Essentially, it's a shorthand way to manage your post formatting as you write!

Writing in Markdown is really easy. In the left hand panel of PostFlow, you simply write as you normally would. Where appropriate, you can use *shortcuts* to **style** your content. For example, a list:

* Item number one
* Item number two
    * A nested item
* A final item

or with numbers!

1. Remember to buy some milk
2. Drink the milk
3. Tweet that I remembered to buy the milk, and drank it

### Links

Want to link to a source? No problem. If you paste in a URL, like http://PostFlow.org - it'll automatically be linked up. But if you want to customise your anchor text, you can do that too! Here's a link to [the PostFlow website](http://PostFlow.org). Neat.

### What about Images?

Images work too! Already know the URL of the image you want to include in your article? Simply paste it in like this to make it show up:

![The PostFlow Logo](https://PostFlow.org/images/PostFlow.png)

Not sure which image you want to use yet? That's ok too. Leave yourself a descriptive placeholder and keep writing. Come back later and drag and drop the image in to upload:

![A bowl of bananas]


### Quoting

Sometimes a link isn't enough, you want to quote someone on what they've said. Perhaps you've started using a new blogging platform and feel the sudden urge to share their slogan? A quote might be just the way to do it!

> PostFlow - Just a blogging platform

### Working with Code

Got a streak of geek? We've got you covered there, too. You can write inline `<code>` blocks really easily with back ticks. Want to show off something more comprehensive? 4 spaces of indentation gets you there.

    .awesome-thing {
        display: block;
        width: 100%;
    }

### Ready for a Break? 

Throw 3 or more dashes down on any new line and you've got yourself a fancy new divider. Aw yeah.

---

### Advanced Usage

There's one fantastic secret about Markdown. If you want, you can write plain old HTML and it'll still work! Very flexible.

<input type="text" placeholder="I'm an input field!" />

That should be enough to get you started. Have fun - and let us know what you think :)
        """)